@import './scss/variables';
@import './scss/mixins';

.AppWrapper {
  background-image: url('./images/background.png');
  background-color: #3318c7;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  width: 100%;
  min-height: 100vh;
  overflow: hidden;
  font-family: $app-font;
  display: flex;
  justify-content: center;
  align-items: center;

  @include exclude-desktop() {
    align-items: flex-start;
  }
}

.AppWrapperGame {
  background-image: url('./images/game-background.jpg');

  @include exclude-desktop() {
    background-image: url('./images/mobile-game-background.jpg');
  }
}

.AppContainer {
  @include exclude-desktop() {
    width: 100%;
    margin: $app-container-mobile-margin-top;
  }
}

.AppWrapperRegister {
  @include exclude-desktop() {
    overflow-y: scroll;
  }
}
